%define name kwebwatch
%define version 0.71
%define release 1
%define serial 1

Summary: A utility designed to periodically poll web sites for changes.
Name: %{name}
Version: %{version}
Release: %{release}
Serial: %{serial}
Copyright: GPL
Group: X11/Utilities
URL: http://personal.atl.bellsouth.net/atl/s/h/shutton/kwebwatch.html
Vendor: Stephen Hutton <shutton@kde.org>
Source: %{name}-%{version}.tar.gz
Distribution: Freshmeat RPMs
Requires: kdelibs >= 1.0, qt >= 1.33
Packager: Ryan Weaver <ryanw@infohwy.com>
BuildRoot: /var/tmp/%{name}-%{version}

%description
KWebWatch is a utility designed to run in the background and periodically
poll a user's favorite web sites, looking for changes.  Additionally,
KWebWatch serves as a launching pad for viewing favorite web sites,
using whatever browser is preferred on a URL by URL basis.   

%prep
%setup -q
./configure

%build
make

%install
if [ -e $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT/opt/kde/share/{applnk/Internet,icons/mini}

make DESTDIR=$RPM_BUILD_ROOT install

install -c -m 644 kwebwatch/kwebwatch.kdelnk $RPM_BUILD_ROOT/opt/kde/share/applnk/Internet
install -c -m 644 kwebwatch/kwebwatch.xpm $RPM_BUILD_ROOT/opt/kde/share/icons
install -c -m 644 kwebwatch/mini-kwebwatch.xpm $RPM_BUILD_ROOT/opt/kde/share/icons/mini/kwebwatch.xpm                             


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README TODO VERSION
/opt/kde/bin/kwebwatch
/opt/kde/share/applnk/Internet/kwebwatch.kdelnk
/opt/kde/share/apps/kwebwatch
/opt/kde/share/doc/HTML/en/kwebwatch
/opt/kde/share/icons/kwebwatch.xpm
/opt/kde/share/icons/mini/kwebwatch.xpm                             

%changelog
* Tue Jan 19 1999 Ryan Weaver <ryanw@infohwy.com>
  [kwebwatch-0.71-1]
- First RPM
- 0.71 Bugfixes:
  * Correctly increment next time to check during the month
    of January -- bug was setting next check date to September
  * Don't change stored address when url is redirected

- 0.7 Enhancements:
  * New options while docked: "Mark All Read" & "Check All Now"
  * Command line options: "-kill" & "-nodocking"
  * Support for "%s" to insert url in browser path
  * New Icons	

- Bugfixes:
  * Send host header so some servers won't return 404
  * Code cleanup / removal of compiler warnings
